<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="MysqlDataDataSet" targetNamespace="http://tempuri.org/MysqlDataDataSet.xsd" xmlns:mstns="http://tempuri.org/MysqlDataDataSet.xsd" xmlns="http://tempuri.org/MysqlDataDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="MysqlDataConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="MysqlDataConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.Ex04_4.Properties.Settings.GlobalReference.Default.MysqlDataConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="应付账TableAdapter" GeneratorDataComponentClassName="应付账TableAdapter" Name="应付账" UserDataComponentName="应付账TableAdapter">
            <MainSource>
              <DbSource ConnectionRef="MysqlDataConnectionString (Settings)" DbObjectName="MysqlData.dbo.应付账" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[应付账] ([供应商名], [购入金额], [已付款], [应付款]) VALUES (@供应商名, @购入金额, @已付款, @应付款)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@供应商名" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="供应商名" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@购入金额" Precision="0" ProviderType="VarChar" Scale="0" Size="0" SourceColumn="购入金额" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@已付款" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="已付款" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@应付款" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="应付款" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT 供应商编号, 供应商名, 购入金额, 已付款, 应付款 FROM dbo.应付账</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="供应商编号" DataSetColumn="供应商编号" />
              <Mapping SourceColumn="供应商名" DataSetColumn="供应商名" />
              <Mapping SourceColumn="购入金额" DataSetColumn="购入金额" />
              <Mapping SourceColumn="已付款" DataSetColumn="已付款" />
              <Mapping SourceColumn="应付款" DataSetColumn="应付款" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="MysqlDataDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_DataSetName="MysqlDataDataSet" msprop:Generator_UserDSName="MysqlDataDataSet" msprop:EnableTableAdapterManager="True">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="应付账" msprop:Generator_UserTableName="应付账" msprop:Generator_RowDeletedName="应付账RowDeleted" msprop:Generator_TableClassName="应付账DataTable" msprop:Generator_RowChangedName="应付账RowChanged" msprop:Generator_RowClassName="应付账Row" msprop:Generator_RowChangingName="应付账RowChanging" msprop:Generator_RowEvArgName="应付账RowChangeEvent" msprop:Generator_RowEvHandlerName="应付账RowChangeEventHandler" msprop:Generator_TablePropName="应付账" msprop:Generator_TableVarName="table应付账" msprop:Generator_RowDeletingName="应付账RowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="供应商编号" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_UserColumnName="供应商编号" msprop:Generator_ColumnPropNameInRow="供应商编号" msprop:Generator_ColumnVarNameInTable="column供应商编号" msprop:Generator_ColumnPropNameInTable="供应商编号Column" type="xs:int" />
              <xs:element name="供应商名" msprop:Generator_UserColumnName="供应商名" msprop:Generator_ColumnPropNameInRow="供应商名" msprop:Generator_ColumnVarNameInTable="column供应商名" msprop:Generator_ColumnPropNameInTable="供应商名Column" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="购入金额" msprop:Generator_UserColumnName="购入金额" msprop:Generator_ColumnPropNameInRow="购入金额" msprop:Generator_ColumnVarNameInTable="column购入金额" msprop:Generator_ColumnPropNameInTable="购入金额Column" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="已付款" msprop:Generator_UserColumnName="已付款" msprop:Generator_ColumnPropNameInRow="已付款" msprop:Generator_ColumnVarNameInTable="column已付款" msprop:Generator_ColumnPropNameInTable="已付款Column" type="xs:decimal" minOccurs="0" />
              <xs:element name="应付款" msprop:Generator_UserColumnName="应付款" msprop:Generator_ColumnPropNameInRow="应付款" msprop:Generator_ColumnVarNameInTable="column应付款" msprop:Generator_ColumnPropNameInTable="应付款Column" type="xs:decimal" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>